/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

function createNotesObject(callback) {
    if (localStorage.getItem("serverurl") == null) {
        callback(new Notes());
    } else {
        var checkurl = localStorage.getItem("serverurl") + "/api/ping";
        $.ajax({
            url: checkurl,
            dataType: "json",
            cache: false,
            method: "POST",
            beforeSend: function (xhr) {
                xhr.setRequestHeader("Authorization", "Basic " + btoa(localStorage.getItem("username") + ":" + localStorage.getItem("password")));
            }, success: function (data) {
                if (data.status == "OK") {
                    callback(new NotePostNotes(localStorage.getItem("serverurl"), localStorage.getItem("username"), localStorage.getItem("password")));
                } else if (data.status == "ERROR") {
                    app.dialog.alert(data.msg, "Error");
                    OFFLINE = true;
                    callback(new Notes());
                } else {
                    OFFLINE = true;
                    callback(new Notes());
                }
            }, error: function () {
                OFFLINE = true;
                callback(new Notes());
            }
        });
    }
}